This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 478760 - Host lookup fails after suspend
Host lookup fails after suspend
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Schwab
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 516995
  Show dependency treegraph
 
Reported: 2009-01-04 13:03 EST by Martin Ebourne
Modified: 2009-12-18 02:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:29:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of privoxy after resume showing bad hostname lookups (10.24 KB, text/plain)
2009-01-04 13:05 EST, Martin Ebourne
no flags Details
strace of privoxy before resume showing good hostname lookups (13.78 KB, text/plain)
2009-01-04 13:06 EST, Martin Ebourne
no flags Details
Patch from openSUSE (896 bytes, patch)
2009-08-17 12:19 EDT, Andreas Schwab
no flags Details | Diff

  None (edit)
Description Martin Ebourne 2009-01-04 13:03:42 EST
Description of problem:
Host lookup is failing after suspend to ram, affecting at least privoxy. This is a new regression in glibc-2.9-3.x86_64, glibc-2.9-2.x86_64 and prior are working correctly.

Version-Release number of selected component (if applicable):
glibc-2.9-3.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Privoxy is installed and gnome is configured to it.
2. Suspend to RAM
3. Resume from RAM
4. Network manager reconnects to wireless
5. Use epiphany to view a web site
  
Actual results:
All websites fail in epiphany with privoxy saying host not found

Expected results:
Website should appear as normal.

Additional info:
The only way to fix privoxy appears to be restart it. All DNS lookups fail, even ones not previously tried.

privoxy hasn't changed in ages, glibc upgrade caused the problem and reverting it fixed the problem. Strace output to be attached, shows that glibc is not even attempting to look in /etc/resolv.conf after suspend, thus causing the lookup failure.
Comment 1 Martin Ebourne 2009-01-04 13:05:48 EST
Created attachment 328146 [details]
strace of privoxy after resume showing bad hostname lookups
Comment 2 Martin Ebourne 2009-01-04 13:06:26 EST
Created attachment 328147 [details]
strace of privoxy before resume showing good hostname lookups
Comment 3 Martin Ebourne 2009-01-04 13:07:49 EST
From the RPM changelog there's a bunch of suspects for hostname lookup breakage in this release of glibc:

# rpm -qp --changelog glibc-2.9-3.x86_64.rpm|head
* Mon Dec 08 2008 Jakub Jelinek <jakub@redhat.com> 2.9-3
- temporarily disable _nss_dns_gethostbyname4_r (#459756)
- NIS hostname lookup fixes (#473073, #474800, BZ#7058)
Comment 4 Martin Ebourne 2009-04-06 15:41:21 EDT
Has anyone looked at this? This was broken by a stable update to Fedora 10 and the same regression is present in current rawhide, so Fedora 11 will be broken too.

glibc-2.9.90-12.x86_64
privoxy-3.0.10-3.fc11.x86_64
Comment 6 Bug Zapper 2009-11-18 05:39:05 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:29:11 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.